---
title: "Update Loyalty Level"
description: "Use POST /loyalty_levels/{loyalty_level_id} to update a loyalty level."
canonical: https://docs.ordering.co/api-reference/guides/update-loyalty-level/
---

# Update Loyalty Level

> **API operation:** [Open the endpoint in Scalar](https://docs.ordering.co/api-reference/#tag/loyalty_levels/POST/loyalty_levels/{loyalty_level_id})

Use `POST /loyalty_levels/{loyalty_level_id}` to update a loyalty level. The current public operation is `LoyaltyLevel.update.post`.

This operation requires administrator authentication. Mutable fields can cover the level's name, threshold, benefits, accumulation settings, expiration, description, and image.

See [Loyalty levels model](https://docs.ordering.co/api-reference/guides/loyalty-levels-model/) for the resource concepts.

## OpenAPI reference

**Operation:** `POST /loyalty_levels/{loyalty_level_id}`

**Path parameters**

| Name               | Type    | Required | Description |
| ------------------ | ------- | -------- | ----------- |
| `loyalty_level_id` | integer | Yes      | —           |

**Request body fields**

| Name                              | Type            | Required |
| --------------------------------- | --------------- | -------- |
| `accumulation_rate`               | number          | No       |
| `benefits`                        | array\<any>     | No       |
| `description`                     | any             | No       |
| `expire_after_minutes`            | integer \| null | No       |
| `images`                          | any             | No       |
| `maximum_accumulation_fixed`      | integer \| null | No       |
| `maximum_accumulation_percentage` | integer \| null | No       |
| `minimum_points`                  | integer         | No       |
| `name`                            | any             | No       |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK (Envelope)                         |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/loyalty_levels/POST/loyalty_levels/{loyalty_level_id})
